import request from '@/utils/request'

// 查询课件资源列表
export function listEl_resources(query) {
  return request({
    url: '/exam/el_resources/list',
    method: 'get',
    params: query
  })
}

// 查询课件资源详细
export function getEl_resources(id) {
  return request({
    url: '/exam/el_resources/' + id,
    method: 'get'
  })
}

// 新增课件资源
export function addEl_resources(data) {
  return request({
    url: '/exam/el_resources',
    method: 'post',
    data: data
  })
}

// 修改课件资源
export function updateEl_resources(data) {
  return request({
    url: '/exam/el_resources/update',
    method: 'post',
    data: data
  })
}

// 删除课件资源
export function delEl_resources(id) {
  return request({
    url: '/exam/el_resources/' + id,
    method: 'delete'
  })
}

// 新增富文本课件资源
export function addText(data) {
  return request({
    url: '/exam/el_resources/addText',
    method: 'post',
    data: data
  })
}
// 修改富文本
export function updateText(data) {
  return request({
    url: '/exam/el_resources/updateText',
    method: 'post',
    data: data
  })
}
